org.labkey.remoteapi.study

## Class UpdateParticipantGroupCommand.UpdatedParticipantGroup

- java.lang.Object
- - org.labkey.remoteapi.study.ParticipantGroup
  - - org.labkey.remoteapi.study.UpdateParticipantGroupCommand.UpdatedParticipantGroup

- Enclosing class:
    UpdateParticipantGroupCommand

      public static class UpdateParticipantGroupCommand.UpdatedParticipantGroup
      extends ParticipantGroup

  Special subclass that allows specifying just participants that should be added or removed, without needing to specify the full set of participants.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdatedParticipantGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getDeleteParticipantIds()`
    `java.util.Set<java.lang.String>` | `getEnsureParticipantIds()`
    `void` | `setDeleteParticipantIds(java.util.Set<java.lang.String> deleteParticipantIds)`
    `void` | `setEnsureParticipantIds(java.util.Set<java.lang.String> ensureParticipantIds)`

    - ### Methods inherited from class org.labkey.remoteapi.study.ParticipantGroup

      `getDescription, getLabel, getParticipantIds, getRowId, setDescription, setLabel, setParticipantIds, setRowId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdatedParticipantGroup

          public UpdatedParticipantGroup()

  - ### Method Detail

    - #### getEnsureParticipantIds

          public java.util.Set<java.lang.String> getEnsureParticipantIds()

      Returns:
        the set of participants that will be added to the group if they are not already members

    - #### setEnsureParticipantIds

          public void setEnsureParticipantIds(java.util.Set<java.lang.String> ensureParticipantIds)

      Parameters:
        `ensureParticipantIds` - the set of participants that should be added to the group if they are not already members

    - #### getDeleteParticipantIds

          public java.util.Set<java.lang.String> getDeleteParticipantIds()

      Returns:
        the set of participants that will be removed to the group if they are already members

    - #### setDeleteParticipantIds

          public void setDeleteParticipantIds(java.util.Set<java.lang.String> deleteParticipantIds)

      Parameters:
        `deleteParticipantIds` - the set of participants that should be removed from the group if they are currently members